Subject: bug#5396: Something in splash page causes Emacs to crash?

From: Joseph Tam <[email-masked]>
Date: Tue, 2 Feb 2010 19:20:00 -0800 (PST)

On Sun, 31 Jan 2010, Kenichi Handa wrote:

>> I couldn't find any of these strings in the font server's repository,
>> but I did find this font alias on the thin client's font repository:
>
>>  	# Found in /usr/X11R6/lib/X11/fonts/75dpi/fonts.alias:
>>  	75dpi/fonts.alias:"-adobe-helvetica-medium-r-normal-x-x-x-12-120-p-67-iso8859-1" "-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-15"
>
> I see.  As it's an alias, this correct font name:
> 	-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-15
> should be included in the list returned by
> xfont_list_pattern even if we ignore that alias.  So, I've
> just installed a fix to ginore such an errornous name.
>
> Could you please try again with the latest code?

I can confirm that the latest patch does indeed prevent crashing due
to a bad font alias designation.  Thanks, Kenichi.

Joseph Tam <[email-masked]>